// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface GameSessionDataOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.GameSessionData)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSessionData.Paragraph paragraphs = 1 [json_name = "paragraphs"];</code>
   */
  java.util.List<gg.dsepractice.chinese.v1alpha1.GameSessionData.Paragraph> 
      getParagraphsList();
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSessionData.Paragraph paragraphs = 1 [json_name = "paragraphs"];</code>
   */
  gg.dsepractice.chinese.v1alpha1.GameSessionData.Paragraph getParagraphs(int index);
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSessionData.Paragraph paragraphs = 1 [json_name = "paragraphs"];</code>
   */
  int getParagraphsCount();
}
